## upower 0.99.17

=== meson_options.txt ===
option('man',
       type : 'boolean',
       value : 'true',
       description : 'Build manpages')
option('gtk-doc',
       type : 'boolean',
       value : 'true',
       description : 'Build developer documentation')
option('introspection',
       type : 'feature',
       value : 'auto',
       description : 'Build GObject Introspection data')
option('udevrulesdir',
       type : 'string',
       value: 'auto',
       description : 'Directory for udev rules')
option('historydir',
       type : 'string',
       description : 'Directory for upower history files will be stored')
option('systemdsystemunitdir',
       type : 'string',
       description : 'Directory for systemd service files ("no" to disable)')
option('os_backend',
       type : 'combo',
       choices : [ 'auto', 'linux', 'freebsd', 'openbsd', 'dummy'],
       value : 'auto',
       description : 'Directory for systemd service files')
option('idevice',
       type : 'feature',
       value : 'auto',
       description : 'Build with libimobiledevice')

## upower 0.9.9

=== debian/changelog ===
upower (0.9.9-4) unstable; urgency=low

  * debian/control: Make pm-utils dependency [linux-any].

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2011 13:10:19 +0200

upower (0.9.9-3) unstable; urgency=low

  * debian/control
    - Add Depends on gir1.2-upowerglib-1.0 (= ${binary:Version}) to
      libupower-glib-dev according to the new GObject introspection policy.
    - Bump pm-utils from Recommends to Depends to avoid accidental removals
      leading to unexpected behaviour. (Closes: #619774)
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Apr 2011 20:29:56 +0200

upower (0.9.9-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2011 13:00:59 +0100

upower (0.9.9-1) experimental; urgency=low

  * New upstream release.
    - Fix bitmap check in the input code. (Closes: #616474)
    - Add an option for polling dock devices in UPower.conf, defaulting to
      false. (Closes: #613745)
  * debian/control
    - Bump Build-Depend on libgudev-1.0-dev to (>= 147).
  * debian/libupower-glib1.symbols
    - Add new up_client_get_lid_force_sleep symbol.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2011 11:46:20 +0100

upower (0.9.8-3) experimental; urgency=low

  [ Frédéric Péters ]
  * Enable gobject introspection support. (Closes: #614795)
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~) and gir1.2-glib-2.0.
    - Add package gir1.2-upowerglib-1.0 containing the typelib file.
    - Install gir file in libupower-glib-dev.install.
    - Call dh_girepository for libupower-glib1 in debian/rules.

  [ Michael Biebl ]
  * Bump debhelper compatibility level to 8 and update build dependency on
    debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 17:46:34 +0100

upower (0.9.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 14:39:45 +0100

upower (0.9.8-1) experimental; urgency=low

  * New upstream release. Changes since our previous git snapshot:
    - Add an "IsDocked" property.
    - Testsuite: Reduce race condition in history purging check.
    - Update the list of HID UPS devices
    - Fix links to git repository in HACKING
    - Support the power_now sysfs attribute to get time remaining on new
      kernels
  * debian/libupower-glib1.symbols: Add new symbol.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Jan 2011 16:56:11 +0100

upower (0.9.7+git20101104-e38cdd-1) experimental; urgency=low

  * Upgrade to latest git head, up to commit e38cddbb8:
    - Fix compilation eror against Linux 2.6.36
    - Check for and link against libplist. Fixes building with gcc 4.5.
    - Drop unnecessary check for polkit-backend.
    - Fix test suite to work as normal user, by using a temporary directory
      for the history files.
  * debian/control: Remove libpolkit-backend-1-dev build dependency again,
    this was only a workaround.
  * debian/rules: Move from cdbs to dh. Bump debhelper build dependency to >=
    7.0.50~, as required for overriding targets.
  * debian/rules: Disable running the upstream tests during package build, as
    they need a running system D-BUS (which we don't have on the buildds).

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2010 23:57:46 -0400

upower (0.9.7-1) experimental; urgency=low

  * New upstream release.
  * Remove patches that have been merged upstream
    - debian/patches/00git_dont_poll_serial_port_if_no_wup_adaptor.patch
    - debian/patches/00git_fix_double_dbus_return.patch
    - debian/patches/00git_fix_missing_polkit_dbus_return.patch
    - debian/patches/00git_fix_missing_qos_dbus_return.patch
    - debian/patches/00git_initialize_polkit_gerror.patch
  * Add Build-Depends on libpolkit-backend-1-dev (required if building against
    the old PolicyKit API).
  * Switch to source format 3.0 (quilt)
    - Update debian/source/format
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Nov 2010 11:46:22 -0400

upower (0.9.5-5) unstable; urgency=low

  * debian/patches/00git_dont_poll_serial_port_if_no_wup_adaptor.patch
    - Do not continue to poll the serial port if there is no Watts Up Pro
      adaptor. Patch cherry-picked from upstream Git. (Closes: #586751)
  * Drop libdevkit-power-gobject library packages as all reverse dependencies
    have been updated to use the new API provided by libupower-glib.
    (Closes: #595083)

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Oct 2010 21:39:56 +0200

upower (0.9.5-4) unstable; urgency=low

  * Add 00git_initialize_polkit_gerror.patch: Ensure we've initialized errors
    when calling into PolicyKit. Patch cherrypicked from upstream git head.
    (LP: #648414)
  * 00git_fix_double_dbus_return.patch: Unfuzz to apply on top of previous
    patch; now it exactly matches the upstream commit.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Oct 2010 11:40:25 +0200

upower (0.9.5-3) unstable; urgency=low

  * Add 00git_fix_double_dbus_return.patch,
    00git_fix_missing_polkit_dbus_return.patch,
    00git_fix_missing_qos_dbus_return.patch: Fix missing or duplicate D-BUS
    return values, which cause crashes. Patches cherrypicked from upstream git
    head. (LP: #614119)

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Sep 2010 18:04:17 +0200

upower (0.9.5-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use architecture wildcards for the libgudev-1.0-dev, libkvm-dev and
      libusb-1.0-0-dev build dependencies.
    - Update Build-Depends according to configure.ac.
  * debian/upower.postinst
    - Query D-Bus to find out the correct pid of the process claiming
      org.freedesktop.UPower. This way we do not accidentally kill the
      wrong process when being installed in a chroot. (Closes: #594871)
  * debian/upower.prerm


=== debian/control ===
Source: upower
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 8),
 autotools-dev,
 pkg-config,
 xsltproc,
 gtk-doc-tools,
 intltool (>= 0.40.0),
 libdbus-glib-1-dev (>= 0.76),
 libdbus-1-dev (>= 1.0),
 libglib2.0-dev (>= 2.21.5),
 libgudev-1.0-dev (>= 147) [linux-any],
 libkvm-dev [kfreebsd-any],
 libpolkit-gobject-1-dev (>= 0.91),
 libusb-1.0-0-dev (>= 1.0.0) [linux-any],
 libimobiledevice-dev (>= 0.9.7) [linux-any],
 libgirepository1.0-dev (>= 0.9.12),
 gobject-introspection (>= 0.9.12-4~),
 gir1.2-glib-2.0
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
Homepage: http://upower.freedesktop.org/

Package: upower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], dbus, pm-utils [linux-any]
Recommends: policykit-1
Conflicts: devicekit-power
Replaces: devicekit-power
Description: abstraction for power management
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: upower-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: devicekit-power-doc (<< 1:0)
Replaces: devicekit-power-doc (<< 1:0)
Suggests: devhelp
Description: abstraction for power management - documentation
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: libupower-glib1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: abstraction for power management - shared library
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains the shared library to be used by applications.

Package: libupower-glib-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-dev, libupower-glib1 (= ${binary:Version}), gir1.2-upowerglib-1.0 (= ${binary:Version})
Description: abstraction for power management - development files
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains files that are needed to build applications.

Package: gir1.2-upowerglib-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GObject introspection data for upower
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains introspection data for upower.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-introspection

override_dh_auto_build:
	dh_auto_build
	make -C po upower.pot

override_dh_auto_test:
	# test suite needs system D-BUS and thus does not work on buildds

override_dh_install:
	dh_install
	# Only install udev rules on Linux architectures. The
	# directory doesn't even exist on e.g. GNU/kFreeBSD
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pupower debian/tmp/lib/udev/rules.d/
endif

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -plibupower-glib1

=== debian/watch ===
version=3
http://upower.freedesktop.org/releases/upower-([0-9.]+)\.tar\.gz

## upower 0.9.13

=== debian/changelog ===
upower (0.9.13-1) unstable; urgency=low

  * New upstream release. 
    - Modernize build system.
    - Update for the g_unix_signal_add_full() ABI break of glib 2.29.90.
    - Hardcode wacom battery devices as not power-supply devices.
  * debian/control: Add missing libdbus-1-dev dependency to
    libupower-glib-dev, the pkg-config file requires it. (LP: #829840)

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Sep 2011 12:59:57 +0200

upower (0.9.12-1) unstable; urgency=low

  * New upstream release:
    - Fix estimation rate for batteries that do not provide this data.
      (LP: #629258)
  * debian/copyright: Fix headers.
  * debian/watch: Look for *.xz tarballs, upstream only publishes these now.
    Repack our tarball as tar.bz2.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Jul 2011 13:06:06 +0200

upower (0.9.11-1) unstable; urgency=low

  * New upstream bug fix release.
  * debian/rules: Call dpkg-gensymbols in -c4 mode, to ensure that our
    symbols files are up to date.
  * debian/libupower-glib1.symbols: Add new symbols from this version.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 May 2011 16:27:43 +0200

upower (0.9.10-1) unstable; urgency=low

  * New upstream release:
    - Fix "unknown" battery status guessing to not be recursive. (LP: #384304)
  * debian/control: Drop obsolete devicekit-power-* Conflicts/Replaces.

 -- Martin Pitt <mpitt@debian.org>  Thu, 05 May 2011 14:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], dbus, pm-utils [linux-any]
 Recommends: policykit-1
-Conflicts: devicekit-power
-Replaces: devicekit-power
 Description: abstraction for power management
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the
@@ -41,8 +39,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Conflicts: devicekit-power-doc (<< 1:0)
-Replaces: devicekit-power-doc (<< 1:0)
 Suggests: devhelp
 Description: abstraction for power management - documentation
  upower provides an interface to enumerate power sources on the system
@@ -65,7 +61,12 @@
 Package: libupower-glib-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-dev, libupower-glib1 (= ${binary:Version}), gir1.2-upowerglib-1.0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libglib2.0-dev,
+ libdbus-glib-1-dev (>= 0.76),
+ libupower-glib1 (= ${binary:Version}),
+ gir1.2-upowerglib-1.0 (= ${binary:Version})
 Description: abstraction for power management - development files
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	dh_girepository -plibupower-glib1
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4

## upower 0.9.14

=== debian/changelog ===
upower (0.9.14-3) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control: Add Build-Depends on libglib2.0-doc for proper
    cross-references in the gtk-doc API documentation.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

  [ Martin Pitt ]
  * debian/tests/upstream-system: Just redirect integration-test's stderr to
    stdout, this is easier to test and still fulfills DEP-8.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 05:23:20 +0100

upower (0.9.14-2) unstable; urgency=low

  * Add debian/tests/control and debian/tests/upstream-system:
    DEP-8/autopkgtest control file for running the upstream tests.

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Nov 2011 10:59:32 +0100

upower (0.9.14-1) unstable; urgency=low

  * New upstream release.
    - Fix kFreeBSD detection.
    - Fix linux up_backend_supports_sleep_state() return code.
      (Closes: #639754)

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Oct 2011 17:10:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8),
+ dpkg-dev (>= 1.6.1),
  autotools-dev,
  pkg-config,
  xsltproc,
  gtk-doc-tools,
+ libglib2.0-doc,
  intltool (>= 0.40.0),
  libdbus-glib-1-dev (>= 0.76),
  libdbus-1-dev (>= 1.0),

## upower 0.9.15

=== debian/changelog ===
upower (0.9.15-3git1) precise; urgency=low

  Upload current Debian packaging git head.

  * Add 00git_update_dock_after_suspend.patch: Re-coldplug dock status when
    resuming from sleep. Patch by Evan Broder, thanks! Also committed
    upstream. (LP: #980746)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Apr 2012 14:39:59 +0200

upower (0.9.15-3) unstable; urgency=low

  * debian/tests/control: Add missing python3 and python3-gi test
    dependencies.
  * Add 00git_fix_libusb_crash.patch: Fix crash in up_device_csr_finalize().
    Patch also committed to upstream git. (LP: #972300)
  * debian/copyright: Update to copyright 1.0 format and fix upstream URL.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Apr 2012 12:41:14 +0200

upower (0.9.15-2) unstable; urgency=low

  * debian/control: Change section of gir1.2-upowerglib-1.0 to introspection.
  * Install systemd service file for upowerd.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 17:06:06 +0100

upower (0.9.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix the versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Dec 2011 11:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8),
- dpkg-dev (>= 1.6.1),
+ dpkg-dev (>= 1.16.1),
  autotools-dev,
  pkg-config,
  xsltproc,
@@ -22,7 +22,7 @@
  libgirepository1.0-dev (>= 0.9.12),
  gobject-introspection (>= 0.9.12-4~),
  gir1.2-glib-2.0
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
 Homepage: http://upower.freedesktop.org/
@@ -78,7 +78,7 @@
  This package contains files that are needed to build applications.
 
 Package: gir1.2-upowerglib-1.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: GObject introspection data for upower

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: upstream-system
Depends: upower, python3, python3-gi, gir1.2-glib-2.0
Restrictions: needs-root 
Features: no-build-needed

## upower 0.9.17

=== debian/changelog ===
upower (0.9.17-1build1) quantal; urgency=low

  * No change rebuild with the new libimobiledevice soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 18:37:13 +0200

upower (0.9.17-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop 00git_powersupply_property.patch, upstream now.
  * debian/control: Add XS-Testsuite: header as per current DEP-8 spec.
  * debian/tests/control: Depend on @, to also include our gir package and
    other packages we might have forgotten.
  * debian/tests/control: Drop undefined "no-build-needed" feature.

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jun 2012 17:38:27 +0200

upower (0.9.16-3) unstable; urgency=low

  * Add 00git_powersupply_property.patch: Fix wrong PowerSupply property for
    devices without a scope sysfs attribute. Also committed to upstream git.
    (LP: #1012578)

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jun 2012 13:30:00 +0200

upower (0.9.16-2) unstable; urgency=low

  * Fix changelog. The one uploaded in 0.9.16-1 was incomplete due to a
    missing merge.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 21:31:28 +0200

upower (0.9.16-1) unstable; urgency=low

  * New upstream release.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.
  * Use the systemd service file that is shipped upstream now.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 21:26:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc --enable-introspection
+	dh_auto_configure -- \
+		--enable-gtk-doc \
+		--enable-introspection \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: upstream-system
Depends: @, python3, python3-gi, gir1.2-glib-2.0
Restrictions: needs-root

## upower 0.9.19

=== debian/changelog ===
upower (0.9.19-1ubuntu4) raring; urgency=low

  * Add battery_mixed_charge_energy_test.patch: Fix batteries which report the
    current energy (µWh), but only the full charge (µAh). Thanks Alex Hornung
    for the patch! (LP: #1093543)
  * Add battery_mixed_charge_energy_test.patch: Test case for the previous
    patch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Jan 2013 10:28:33 +0100

upower (0.9.19-1ubuntu3) raring; urgency=low

  * memory-leaks.patch: Restore up_device_supply_get_design_voltage leak
    fix, this time correctly initialising device_type (LP: #1108995).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 18:36:59 +0000

upower (0.9.19-1ubuntu2) raring; urgency=low

  * memory-leaks.patch: Revert the bit in
    up_device_supply_get_design_voltage(), causing crashes.
    (LP: #1108995)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Jan 2013 19:01:54 +0100

upower (0.9.19-1ubuntu1) raring; urgency=low

  * Fix some memory leaks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 14:02:27 +0000

upower (0.9.19-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Jan 2013 10:38:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8),
  dpkg-dev (>= 1.16.1),
@@ -19,13 +20,13 @@
  libpolkit-gobject-1-dev (>= 0.91),
  libusb-1.0-0-dev (>= 1.0.0) [linux-any],
  libimobiledevice-dev (>= 0.9.7) [linux-any],
- libgirepository1.0-dev (>= 0.9.12),
+ libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
- gir1.2-glib-2.0
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
 Homepage: http://upower.freedesktop.org/
+XS-Testsuite: autopkgtest
 
 Package: upower
 Architecture: any

## upower 0.9.20

=== debian/changelog ===
upower (0.9.20-1) experimental; urgency=low

  * New upstream release.
  * Bump libpolkit-gobject-1-dev build dependency as per upstream
    configure.ac.
  * Build with --enable-deprecated, we are not ready yet to drop
    suspend/hibernate functionality.
  * Bump Standards-Version to 3.9.4. No changes necessary.
  * Add "build" autopkgtest to compile/link/run a simple program against
    libupower-glib.
  * Drop unnecessary "needs-root" restriction from upstream-system
    autopkgtest.
  * Add no_deprecation_define.patch: Do not require applications to define
    UPOWER_ENABLE_DEPRECATED to access suspend/resume functionality. We are
    not ready to do that yet in Debian.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Mar 2013 19:19:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8),
  dpkg-dev (>= 1.16.1),
@@ -17,12 +16,12 @@
  libglib2.0-dev (>= 2.21.5),
  libgudev-1.0-dev (>= 147) [linux-any],
  libkvm-dev [kfreebsd-any],
- libpolkit-gobject-1-dev (>= 0.91),
+ libpolkit-gobject-1-dev (>= 0.97),
  libusb-1.0-0-dev (>= 1.0.0) [linux-any],
  libimobiledevice-dev (>= 0.9.7) [linux-any],
  libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
 Homepage: http://upower.freedesktop.org/

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-introspection \
+		--enable-deprecated \
 		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:

## upower 0.9.22

=== debian/changelog ===
upower (0.9.22-1ubuntu2) saucy-proposed; urgency=low

  * Add 00git_clamp_percentage.patch: Clamp percentage for overfull batteries,
    to avoid showing 0% on some fully charged battery models. Fixes regression
    from 0.9.22. (LP: #1240673)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Oct 2013 08:41:01 +0200

upower (0.9.22-1ubuntu1) saucy; urgency=low

  * Cherry-pick two fixes from upstream:
    - up-client: Really don't overwrite retval with prop values. Properties
      and property notification via libupower-glib got broken in 0.9.22.
      Incorrect values were being returned, meaning anything relying on these
      might do the wrong thing, such as in LP: #1238663
    - lib: Fix crasher calling _about_to_sleep_sync(). Crash fix.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 14 Oct 2013 11:41:36 +0100

upower (0.9.22-1) unstable; urgency=low

  * New upstream release.
  * Drop 00git_updates.patch, included in new release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Oct 2013 18:26:25 +0200

upower (0.9.21-3) unstable; urgency=low

  * Add 00git_updates.patch to update to today's upstream git:
    - Fix batteries which report capacity, but not energy/charge
    - Add temperature property for batteries
    - Fix warning in up_device_supply_get_design_voltage
    - Make GetHistory() array order consistent

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Aug 2013 11:34:28 +0200

upower (0.9.21-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Run dh_install with --fail-missing to avoid forgetting about
    some scripts.
  * debian/rules: Explicitly set systemd util dir, to avoid build-depending on
    systemd.
  * debian/upower.install: Install notify-upower.sh. (LP: #1196752)

  [ Michael Biebl ]
  * debian/patches/always_use_pm-utils_backend.patch: Always use the pm-utils
    backend, even if logind is running. The availability of logind does not
    necessarily imply, that systemd is running (in a recent enough version),
    which is required for a successful suspend/hibernate.
    (Closes: #718458, LP: #1196752)

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Aug 2013 00:56:44 +0200

upower (0.9.21-1) unstable; urgency=low

  * New upstream release.
  * Add udev build dependency, so that configure can determine the udev
    directory.
  * Add alternative systemd dependency instead of just hard-depending on
    pm-utils. With logind, upower defers suspend to logind instead of calling
    pm-*, this allows us to not install pm-utils with systemd.

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jul 2013 07:37:19 +0200

upower (0.9.20-2) unstable; urgency=low

  * Upload to unstable.
  * Use gir addon instead of calling dh_girepository manually.
  * Build for multiarch.
  * Use dpkg-buildflags support provided by dh with debhelper compat level 9.
  * Explicitly set libexecdir to /usr/lib/upower so the upowerd binary is
    installed into the proper location.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Jun 2013 05:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 8),
- dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper (>= 9),
  autotools-dev,
  pkg-config,
  xsltproc,
@@ -15,6 +15,7 @@
  libdbus-1-dev (>= 1.0),
  libglib2.0-dev (>= 2.21.5),
  libgudev-1.0-dev (>= 147) [linux-any],
+ udev [linux-any],
  libkvm-dev [kfreebsd-any],
  libpolkit-gobject-1-dev (>= 0.97),
  libusb-1.0-0-dev (>= 1.0.0) [linux-any],
@@ -29,7 +30,9 @@
 
 Package: upower
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], dbus, pm-utils [linux-any]
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], dbus, pm-utils [linux-any] | systemd [linux-any] | systemd-services [linux-any]
 Recommends: policykit-1
 Description: abstraction for power management
  upower provides an interface to enumerate power sources on the system
@@ -50,7 +53,9 @@
 
 Package: libupower-glib1
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: abstraction for power management - shared library
  upower provides an interface to enumerate power sources on the system

## upower 0.9.23

=== debian/changelog ===
upower (0.9.23-2ubuntu1) trusty; urgency=medium

  * ppc64el-support.patch: patch m4/libtool.m4 and regenerate configure.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 21 Dec 2013 13:01:42 -0700

upower (0.9.23-2) unstable; urgency=low

  * Drop hardcoded binary glib dependency, it's already being generated
    automatically from the versioned build depends.
  * Add 00git_clamp_percentage.patch: Clamp percentage for overfull batteries,
    to avoid showing 0% on some fully charged battery models. Fixes regression
    from 0.9.22. (LP: #1240673)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2013 08:31:44 +0200

upower (0.9.23-1) unstable; urgency=low

  * New upstream bug fix release.
  * Force libglib2.0-0 to be at least 2.36 to avoid running against earlier
    glib versions which still required g_type_init(). (Closes: #722612)

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Oct 2013 17:11:30 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  intltool (>= 0.40.0),
  libdbus-glib-1-dev (>= 0.76),
  libdbus-1-dev (>= 1.0),
- libglib2.0-dev (>= 2.21.5),
+ libglib2.0-dev (>= 2.36),
  libgudev-1.0-dev (>= 147) [linux-any],
  udev [linux-any],
  libkvm-dev [kfreebsd-any],
@@ -32,7 +32,11 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], dbus, pm-utils [linux-any] | systemd [linux-any] | systemd-services [linux-any]
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ udev [linux-any],
+ dbus,
+ pm-utils [linux-any] | systemd [linux-any] | systemd-services [linux-any]
 Recommends: policykit-1
 Description: abstraction for power management
  upower provides an interface to enumerate power sources on the system

=== debian/tests/control ===
Tests: upstream-system
Depends: @, python3, python3-gi, gir1.2-glib-2.0

Tests: build
Depends: libupower-glib-dev, build-essential, upower

=== debian/watch ===
version=3
http://upower.freedesktop.org/releases/upower-([0-9.]+)\.tar\.xz

## upower 0.99.1

=== debian/changelog ===
upower (0.99.1-3.2) unstable; urgency=medium

  [ Mike Gabriel ]
  * Non-maintainer upload.

  [ Vlad Orlov ]
  * null-init-pointers.patch: new patch. Properly initialize two
    pointers, avoid segfaults. (Closes: #774546).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Apr 2015 12:03:26 +0200

upower (0.99.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/git-fix-memleak.patch
    - Memleak fix.  Taken from upstream git head, commit 4221835f (Closes:
      #766762). 

 -- Michael Banck <mbanck@debian.org>  Fri, 28 Nov 2014 16:24:34 +0100

upower (0.99.1-3) unstable; urgency=medium

  * debian/tests/build: Drop up_client_get_can_suspend() call, this got
    dropped in this upstream version.
  * Add upstream patch to fix test suite crash if there is no session bus.
  * Add upstream patch to fix test suite for Python 3.4.
  * Add upstream patch to split test suite into smaller independent tests.
  * Add missing umockdev test dependencies so that the upstream test suite
    actually runs.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2014 18:50:37 +0200

upower (0.99.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Aug 2014 23:04:36 +0200

upower (0.99.1-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Drop pm-utils | systemd dependency, now unnecessary as suspend/hibernate
    functionality was dropped.

  [ Michael Biebl ]
  * New upstream release.
  * Drop Build-Depends on libpolkit-gobject-1-dev, no longer necessary.
  * Rename libupower-glib2 → libupower-glib3 for the soname bump.
  * Update symbols file, remove the *_is_docked symbols.
  * Upload to experimental.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Jul 2014 12:21:51 +0200

upower (0.99.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.5
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jul 2014 20:45:10 +0200

upower (0.99.0-2) experimental; urgency=medium

  * debian/control: Let libupower-glib2 recommend upower

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 10:25:28 +0200

upower (0.99.0-1) experimental; urgency=medium

  * Team upload.
  * Imported Upstream version 0.99.0
  * Rename package for new SONAME (1->2)
  * Update symbols
  * Drop debian/patches/00git_clamp_percentage.patch, merged upstream.
  * Drop debian/patches/no_deprecation_define.patch
    - deprecated features no longer exists at all.
  * Drop debian/patches/always_use_pm-utils_backend.patch
    - new upstream now requires logind support
  * upower no longer install polkit files

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 21:19:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9),
  autotools-dev,
@@ -17,12 +16,11 @@
  libgudev-1.0-dev (>= 147) [linux-any],
  udev [linux-any],
  libkvm-dev [kfreebsd-any],
- libpolkit-gobject-1-dev (>= 0.97),
  libusb-1.0-0-dev (>= 1.0.0) [linux-any],
  libimobiledevice-dev (>= 0.9.7) [linux-any],
  libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
 Homepage: http://upower.freedesktop.org/
@@ -36,7 +34,6 @@
  ${misc:Depends},
  udev [linux-any],
  dbus,
- pm-utils [linux-any] | systemd [linux-any] | systemd-services [linux-any]
 Recommends: policykit-1
 Description: abstraction for power management
  upower provides an interface to enumerate power sources on the system
@@ -55,12 +52,13 @@
  org.freedesktop.UPower service on the system message bus. Some
  operations (such as suspending the system) are restricted using PolicyKit.
 
-Package: libupower-glib1
+Package: libupower-glib3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: upower (>> 0.99)
 Description: abstraction for power management - shared library
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the
@@ -76,7 +74,7 @@
  ${misc:Depends},
  libglib2.0-dev,
  libdbus-glib-1-dev (>= 0.76),
- libupower-glib1 (= ${binary:Version}),
+ libupower-glib3 (= ${binary:Version}),
  gir1.2-upowerglib-1.0 (= ${binary:Version})
 Description: abstraction for power management - development files
  upower provides an interface to enumerate power sources on the system

## upower 0.99.2

=== debian/changelog ===
upower (0.99.2-2) experimental; urgency=medium

  * libupower: Fix crash due to uninitialized GVariant. (Closes: #774546,
    LP: #1428337)

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Mar 2015 15:59:59 +0100

upower (0.99.2-1) experimental; urgency=medium

  * New upstream bug fix release:
    - Fix memory leaks with Logitech receivers. (LP: #757551)
    - Drop all debian/patches/*, included upstream.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2014 14:29:46 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libimobiledevice-dev (>= 0.9.7) [linux-any],
  libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
 Homepage: http://upower.freedesktop.org/

## upower 0.99.3

=== debian/changelog ===
upower (0.99.3-1build2) wily; urgency=medium

  * No change rebuild for missing ddeb

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2015 11:26:28 +0100

upower (0.99.3-1build1) wily; urgency=medium

  * No-change rebuild to fix broken devhelp2 file

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Jun 2015 11:04:39 +0100

upower (0.99.3-1) unstable; urgency=medium

  * New upstream release:
    - Support Logitech Unifying in Linux 3.19+ (Closes: #785725, LP: #1448834)
    - Fix Bluetooth HID batteries with recent kernels (Closes: #772095,
      LP: #772095)
  * Drop git_init_variants.patch, included in this release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 May 2015 10:19:59 +0200

upower (0.99.2-3) unstable; urgency=medium

  * Update Vcs-* fields for anonscm.d.o.
  * debian/control: Drop obsolete XS-Testsuite: field, dpkg adds this
    automatically now.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Apr 2015 08:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,9 @@
  libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
 Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/pkg-utopia/upower.git
-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/upower.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-utopia/upower.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-utopia/upower.git
 Homepage: http://upower.freedesktop.org/
-XS-Testsuite: autopkgtest
 
 Package: upower
 Architecture: any

## upower 0.99.4

=== debian/changelog ===
upower (0.99.4-4) unstable; urgency=medium

  * Install typelib files into multiarch paths.
  * Mark gir1.2-upowerglib-1.0 and libupower-glib-dev as Multi-Arch: same and
    upower-doc as Multi-Arch: foreign.
  * Use dh-exec to install architecture specific files.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Sep 2016 15:55:05 +0200

upower (0.99.4-3) unstable; urgency=medium

  * UpKbdBacklight: Don't cache the brightness level, always read
    it from sysfs. (LP: #1583861)
  * Fix up_client_new() returning an invalid object (that causes crashes on
    any operation) when upowerd is not (yet) started. (LP: #1546641)
  * debian/libupower-glib3.symbols: Add new symbol from previous patch.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Jun 2016 10:28:20 +0200

upower (0.99.4-2) unstable; urgency=high

  * Urgency high as this is a targetted fix for RC bug in testing.
  * Fix copy&paste error that called the wrong _complete_ function
    for up_daemon_get_critical_action(), causing a segfault.
    (Closes: #815590, LP: #1547793)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Feb 2016 09:58:09 +0100

upower (0.99.4-1) unstable; urgency=medium

  * New upstream release.
  * Run wrap-and-sort -at.
  * Drop (Build-)Depends on libdbus-1-dev and libdbus-glib-1-dev. UPower has
    been ported to use GDBus.
  * Update symbols file for libupower-glib3. A couple of private symbols were
    dropped (up_*_glue_*) and new private symbols were added (up_exported_*).
    Mark those as optional.
  * Use https:// for Vcs-Browser.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Feb 2016 00:19:34 +0100

=== debian/control ===
Source: upower
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-exec,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools,
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.36),
               libglib2.0-doc,
               libgudev-1.0-dev (>= 147) [linux-any],
               libimobiledevice-dev (>= 0.9.7) [linux-any],
               libkvm-dev [kfreebsd-any],
               libusb-1.0-0-dev (>= 1.0.0) [linux-any],
               pkg-config,
               udev [linux-any],
               xsltproc,
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-utopia/upower.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/upower.git
Homepage: http://upower.freedesktop.org/

Package: upower
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: dbus,
         udev [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: policykit-1,
Description: abstraction for power management
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: upower-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: devhelp,
Description: abstraction for power management - documentation
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: libupower-glib3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: upower (>> 0.99),
Description: abstraction for power management - shared library
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains the shared library to be used by applications.

Package: libupower-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-upowerglib-1.0 (= ${binary:Version}),
         libupower-glib3 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: abstraction for power management - development files
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains files that are needed to build applications.

Package: gir1.2-upowerglib-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for upower
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains introspection data for upower.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-introspection \
		--enable-deprecated \
		--with-systemdutildir=/lib/systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--libexecdir=\$${prefix}/lib/upower

override_dh_auto_build:
	dh_auto_build
	make -C po upower.pot

override_dh_auto_test:
	# test suite needs system D-BUS and thus does not work on buildds

override_dh_install:
	dh_install --fail-missing -X.la

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## upower 0.99.6

=== debian/changelog ===
upower (0.99.6-1) unstable; urgency=medium

  * New upstream release. Drop patches, included upstream.
  * Bump Standards-Version to 4.0.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2017 22:35:38 +0200

upower (0.99.5-3) unstable; urgency=medium

  * Correctly close inhibitor FD

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Aug 2017 09:24:18 +0200

upower (0.99.5-2) unstable; urgency=medium

  * Use autoreconf to update the build system
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Drop custom prerm/postinst code to restart upower on upgrades
  * Don't enable upower.service in graphical.target by default

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Jul 2017 23:56:50 +0200

upower (0.99.5-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream bug fix release. Drop all patches, included upstream.
  * Update config.{guess,sub} during build, as per Policy 4.0.0 §4.3.
  * Bump Standards-Version to 4.0.0.
  * Drop --enable-deprecated configure option, it has been a no-op since 0.99.

  [ Michael Biebl ]
  * Drop migration code from pre-wheezy.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jul 2017 12:04:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-exec,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
@@ -20,7 +19,7 @@
                pkg-config,
                udev [linux-any],
                xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/upower.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/upower.git
 Homepage: http://upower.freedesktop.org/
